PHP Handbuch
Zurück |  | Weiter

# oci_field_type_raw

(PHP 5)

oci_field_type_raw -- Tell the raw Oracle data type of the field

## Beschreibung

int oci_field_type_raw ( resource statement, int field )

Returns Oracle's raw data type of the `field`.

However, if you want to get field's type, then oci_field_type() will suit you better.

## Parameter Liste

`statement`

  A valid OCI statement identifier.

`field`

  Can be the field's index (1-based) or name.

## Rückgabewerte

Returns Oracle's raw data type as a string, or `FALSE` on errors.

## Anmerkungen

> Anmerkung: In PHP versions before 5.0.0 you must use ocicolumntyperaw() instead. This name still can be used, it was left as alias of oci_field_type_raw() for downwards compatability. This, however, is deprecated and not recommended.

Zurück | Zum Anfang | Weiter
oci_field_size | Nach oben | oci_field_type